<?
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
define('IN_COPPERMINE', true);

class GetCpgDisplayTab extends cbTabHandler 
{
	/**
	* Constructor
	*/
	function GetCpgDisplayTab() 
	{
		$this->cbTabHandler();
	}
	
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG
	*				   generated
	*/
	function getDisplayTab($tab, $user, $ui)
	{
		global $database,$mosConfig_absolute_path;
		$params=$this->params;
		$cpgDir=$params->get('cpgDir', '/usergalleries');
 	if (file_exists("$mosConfig_absolute_path/configuration.php"))
		{
			require("$mosConfig_absolute_path/configuration.php");
			$tp=$mosConfig_dbprefix;
			$output="";
			$category=10000+$user->id;
			$sql="select aid,title,description,thumb from ".$tp."albums where visibility=0 and category=$category";
			$database->setQuery($sql);   
	   	 	$albums = $database->loadObjectList();  
			if($tab->description != null) $output .= "<div class=\"tab_Description\">".unHtmlspecialchars(getLangDefinition($tab->description))."</div>";
			$nAlbums=count($albums);
			$output.="<table>";
			for ($i=0;$i<$nAlbums;$i++)
			{
				$album=$albums[$i];
				$link="$cpgDir/thumbnails.php?album=".$album->aid;
				if ($album->thumb!=0)
				{
					$sql="select filepath,filename from ".$tp."pictures where pid=".$album->thumb;
				}
				else
				{
					$sql="select filepath,filename from ".$tp."pictures where aid=".$album->aid." order by mtime desc limit 1";
				}
				$database->setQuery($sql);   
				$thumbNail=$database->loadObjectList();
				$thumbNailImage="$cpgDir/albums/".$thumbNail[0]->filepath."/thumb_".$thumbNail[0]->filename;
				$albumTitle=$album->title;
				$albumDesc=$album->description;
				$output.="<tr><td><a href='$link'><img src='$thumbNailImage'/></a></td><td width='100%' valign='top'><a href='$link'>$albumTitle</a>:<br/>$albumDesc</td></tr>";
			}
			$output.="</table>";
		}
 	else
		{
			$output="Sorry can't find coppermine config file.";
		}
		return $output;
	}
}
?>
